#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk

from tkinter import scrolledtext


root = Tk()


def callback(event):
    print("clicked at", event.x, event.y, "in", event.widget)


frame = ttk.Frame(root, width=320, height=200)
frame.bind("<Button-1>", callback)
frame.pack()

root.mainloop()

# try to bind to different events, e.g. to keys
# frame.bind("<Key>", another_callback) or frame.bind("x", another_callback)
# (and do not forget to set focus)


# Event attributes
# ================
#
# widget
#     The widget which generated this event. This is a valid Tkinter widget instance, not a name. This attribute is set for all events.
# x, y
#     The current mouse position, in pixels.
# x_root, y_root
#     The current mouse position relative to the upper left corner of the screen, in pixels.
# char
#     The character code (keyboard events only), as a string.
# keysym
#     The key symbol (keyboard events only).
# keycode
#     The key code (keyboard events only).
# num
#     The button number (mouse button events only).
# width, height
#     The new size of the widget, in pixels (Configure events only).
# type
#     The event type.
