#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk
from tkinter import messagebox

root = Tk()


def callback():
    print("called the callback!")


def help_callback():
    messagebox.showinfo("About", "Demo application")


class StatusBar(Frame):

    def __init__(self, master):
        Frame.__init__(self, master)
        self.label = Label(self, bd=1, relief=SUNKEN, anchor=W)
        self.label.pack(fill=X)

    def set(self, text):
        self.label.config(text=text)
        self.label.update_idletasks()

    def clear(self):
        self.label.config(text="")
        self.label.update_idletasks()


# menus

menu = Menu(root)
root.config(menu=menu)

filemenu = Menu(menu, tearoff=0)   #  later add argument   tearoff=0  and check the result
menu.add_cascade(label="File", menu=filemenu)
filemenu.add_command(label="New", command=callback)
filemenu.add_command(label="Open...", command=callback)
filemenu.add_separator()
filemenu.add_command(label="Exit", command=callback)

helpmenu = Menu(menu)
menu.add_cascade(label="Help", menu=helpmenu)
helpmenu.add_command(label="About...", command=help_callback)

# toolbar

toolbar = ttk.Frame(root)
b = ttk.Button(toolbar, text="add", width=6, command=callback)
b.pack(side=LEFT, padx=2, pady=2)
b = ttk.Button(toolbar, text="open", width=6, command=callback)
b.pack(side=LEFT, padx=2, pady=2)
toolbar.pack(side=TOP, fill=X)

# main content

content = ttk.Frame(root, width=320, height=200)
content.pack(fill=BOTH, expand=1)


# status bar

status = StatusBar(root)
status.pack(side=BOTTOM, fill=X)


def click_callback(event):
    status.set(f"clicked at {event.x} {event.y}")


content.bind("<Button-1>", click_callback)

root.mainloop()
